﻿using System;
using System.Collections.Generic;
using System.Text;

namespace FooTheory.PowerShell.CommandLets
{
    /// <summary>
    /// Coordiate structure. Holds Latitude and Longitude.
    /// </summary>
    public struct Coordinate : ISpatialCoordinate
    {
        private decimal _latitude;
        private decimal _longitude;
        private string _address;

        

        public Coordinate(string address, decimal latitude, decimal longitude)
        {
            _address = address; 
            _latitude = latitude;
            _longitude = longitude;
        }

        #region ISpatialCoordinate Members

        public string Address
        {
            get { return _address; }
            set { _address = value; }
        }

        public decimal Latitude
        {
            get
            {
                return _latitude;
            }
            set
            {
                this._latitude = value;
            }
        }

        public decimal Longitude
        {
            get
            {
                return _longitude;
            }
            set
            {
                this._longitude = value;
            }
        }

        
        #endregion
    }
}
